[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: NVIDIA mismatch

On Tue November 28 2006 02:58 am, frapietra@alice.it wrote:
> Sending from my provider (previous attempt apparently failed) while
> receiving at my usual address. Writing from knoppix pivot-root install of
> debian because my X system suddenly broken (mismatch of nvis kernel module
> (1.0.8756) and X module version (1.0.7174) following apt-get upgrade. I
> also lost address debian users. I took the opportunity to upgrade from
> 2.6.15 without success (main contrib non-free present in sources.list
> debian).
> 1) nvidia-installer --uninstall
> 2)apt-get install kernel-image-2.6-k7
> installing 2.6.17-2-k7
> 3)reboot
> 4)m-a -i -prepare
> installing headers and kbuild
> 5)m-a a-i nvidia
> apt-cache policy nvidia-kernel-$(uname -r) nvidia-glx nvidia-kernel-common
> shows
> n-vidia-kernel-2.6.17-2-k7 (1.0.8762-2+2.6.17-9)
> nvidia-kernel-common (20051028+1 0)
> nvidia-glx
> not installed and no candidate (I was unable to install it)
> Hope to get help although I regret not to have learned in the past how to
> do.

When I built that module I had to add unstable to my /etc/apt/sources.list and 
then apt-get update and then rebuild the module with "m-a a-i nvidia"

That needs to get done whenever you upgrade your kernel.

Reply to: